Name: fbfon
Version: 0.1
Release: alt1

Summary: The program to set the Wallpaper in fluxbox
License: GPL
Group:   System Tools

Source0: %name-%version.tar.gz

Packager: Konstantin Kogan <ALT Linux Active Users Club>

Summary(ru_RU.UTF-8): Установщик обоев рабочего стола для FluxBox.

Requires: fluxbox feh libgtk+2 elfutils fontconfig libgdk-pixbuf

BuildRequires: libgtk+2-devel libgdk-pixbuf-devel

%description
The program to set the Wallpaper in fluxbox.

%description -l ru_RU.UTF-8
Установщик обоев рабочего стола для FluxBox.


%prep
%setup

%build

%configure
%make_build
cat > %name.desktop <<@@@
[Desktop Entry]
Type=Application
Name=fbfon
Comment= The program to set the Wallpaper in fluxbox
Exec=fbfon
Categories=GTK;System;Utility;
StartupNotify=false
Terminal=false
@@@

cat > %name <<@@@
#!/bin/bash
# -*- coding: utf-8 -*-
cd /usr/lib/fbfon/
/usr/lib/fbfon/fbfon
@@@


%install
mkdir -p %buildroot%_libexecdir/%name
cp -R src/ %buildroot%_libexecdir/%name
install -pDm755 src/%name %buildroot%_libexecdir/%name/%name
install -pDm755 %name %buildroot%_bindir/%name
install -D %name.desktop %buildroot/%_desktopdir/%name.desktop
mkdir -p %buildroot/%_bindir

%files
%_bindir/*
%_desktopdir/%name.desktop
%_libexecdir/%name/*
%doc AUTHORS ChangeLog NEWS README

%changelog

* Sat Nov 12 2016 Konstantin Kogan <kostyalamer@yandex.ru> 0.1-alt1
- First build for ALT Linux.


